Skip to content

小店榜单-全托管销售榜

简介

获取TikTok小店全托管销售榜单数据,支持以下功能:

  • 支持设置过滤参数
  • 支持自定义结果排序方式

接口

bash
    POST /shop/v1/rank/fullyManaged

request body

字段类型必选描述
filterobject过滤参数
orderbyobject排序参数
pageinteger页码,默认值:1
pagesizeinteger每页条数,默认值:10

filter可选值

字段类型必选描述
regionstring国家/地区
category_idinteger商品分类
shop_typeinteger店铺类型 1品牌店,2零售店
date_infoobject日期信息

region 范围: ['US', 'GB', 'ES', 'MX', 'DE', 'IT', 'FR']

orderby可选值

字段必选描述
units_sold销量(desc)
usd_gmv销售额(desc)

request example

bash
curl 'https://openapi.fastmoss.com/shop/v1/rank/fullyManaged' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 14,
        # "shop_type": 1,
        "date_info": {
            "type": "day",
            "value": "2026-04-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-05"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-03"
        # }
    },
    "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
      # ,
      # {
      #   "field": "usd_gmv",
      #   "order": "desc",
      # }
    ],
    "page": 1,
    "pagesize": 10
}'

response body

data.total

结果总条数

data.list

字段类型描述
shop_infoobject店铺信息
rank_categoryobject榜单分类
total_affiliate_countinteger总关联达人数
sale_product_countinteger动销商品数
units_soldinteger销量
gmvinteger销售额
usd_gmvinteger销售额(美元)
units_sold_inc_ratestring销量增长率
gmv_inc_ratestring销售额增长率
currencystring货币

response example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "shop_info": {
          "seller_id": 8647778611395402618,
          "name": "Selected by the clouds",
          "brand": "",
          "seller_company": "",
          "avatar": "https://s.500fd.com/tt_shop/b3ce7bfb75134887a3959a3edb69fb7c~tplv-aphluv4xwc-resize-png:300:300.png",
          "region": "GB",
          "currency": "GBP",
          "product_count": 97,
          "shop_rating": 4.2,
          "main_category": { "category_id": 19, "name": "Toys & Hobbies" },
          "is_fully_managed": 1,
          "is_cross_border": 0,
          "shop_type": 0,
          "status": 1
        },
        "rank_category": { "category_id": 0, "name": "" },
        "total_affiliate_count": 128,
        "sale_product_count": 5,
        "units_sold": 278,
        "gmv": 789.87,
        "usd_gmv": 979.44,
        "units_sold_inc_rate": "-13.93%",
        "gmv_inc_rate": "-11.26%",
        "currency": "GBP"
      }
    ],
    "total": 500,
    "date_type": "day",
    "date_value": "2026-04-06"
  },
  "message": "",
  "timestamp": 1775714686,
  "request_id": "330953f3-2044-1c23-ba2f-45a14714ba8e"
}